GNU bug report logs - #56865
M-x find-dired fails with "Wrong type: processp, nil"

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Paul Pogonyshev <pogonyshev@HIDDEN>; dated Mon, 1 Aug 2022 08:08:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 56865 <at> debbugs.gnu.org:


Received: (at 56865) by debbugs.gnu.org; 13 Aug 2022 11:43:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 13 07:43:51 2022
Received: from localhost ([127.0.0.1]:59830 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oMpYV-0007zm-KU
	for submit <at> debbugs.gnu.org; Sat, 13 Aug 2022 07:43:51 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35858)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oMpYU-0007zX-LF
 for 56865 <at> debbugs.gnu.org; Sat, 13 Aug 2022 07:43:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=umhMxLIb6GVntQMM7cE72NuzO17lJal1XuI3XJWVH2E=; b=U5Kj0c2SqFa+uYprWlA0cCVke3
 ycOImmiu+3gc+3UxEQGRX2aDF0wsNEJJKwrNQfw8at4WaZjmFwydNFtukRQyrBwGRdhqweDph40r/
 EFdChw74xwOM0EZOQCHNyIM2vFWzd2w+YmLA7qTlHxU/QPpYzlljqDg4aL4RG12JxRDs=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oMpYM-0007Ce-4s; Sat, 13 Aug 2022 13:43:44 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#56865: M-x find-dired fails with "Wrong type: processp, nil"
In-Reply-To: <87lertfpdi.fsf@HIDDEN> (Michael Albinus's message of "Fri, 12
 Aug 2022 17:33:29 +0200")
References: <CAG7BpaozBWzjHsTzqVCRSFWjf2Hhq-kxZdh-8hVYFW1uxBBmoA@HIDDEN>
 <87pmhjylv1.fsf@HIDDEN>
 <CAG7BpaoSRMQQ3-ifyhLi0hq5PjE1qdyq7cqGY9Wt-_O-v+PTxQ@HIDDEN>
 <875yjax4te.fsf@HIDDEN>
 <CAG7Bpaq_DyjQioOzoGbm7vBvr2azCY05CjTkYiKMesAnSChuAQ@HIDDEN>
 <87edxlpkpq.fsf@HIDDEN> <87lertfpdi.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEWtpqODfoFLQ0b/
 //+EeeQSAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+YIDQslLBitksYAAAEzSURBVCjPhdGxboMwEAbg
 3yhk6JQhGZqpj2KGZIYII4U5lQpPkUdIqtKhUysVhP+n7PkMKFtvMPq482EfAHau71yIVwDmcLor
 HLDJ0iyfkLo8tVJabksXHucAzbgAu5vLXAmTLnB2ZWZUR7uNm2BcfbcvRa84OP6iYhO71Rxx5FdE
 y9GQjCB9Qg0n5RyTUdoDa9Tkm/HsyoDW82KaV/nqVUC/Me0NKDKFNYPAKnhNeLsUaaYNYHjLcyOo
 3seAZ6mTzPUbCfMVVoKzzfHkc8TMDx7ggf0CbrH2lxkN0jHcWkGbNvJ+OnXftOE2pUKir8IKXWUm
 UkWZhWakt5kz/FCsI2hD2TQZ2bUnimpOLd0kBgEf4j/4uGuCtvmcyrpw7mqCpk5hovpv5LDF3K2r
 OSyQuiH7Ay0C6D/xevVtAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIyLTA4LTEzVDExOjM3OjQ0KzAw
 OjAwzqGiJAAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wOC0xM1QxMTozNzo0NCswMDowML/8GpgA
 AAAASUVORK5CYII=
X-Now-Playing: Joni Mitchell's _Wild Things Run Fast_: "Love"
Date: Sat, 13 Aug 2022 13:43:39 +0200
Message-ID: <874jygl66s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Michael Albinus <michael.albinus@HIDDEN> writes: > Tramp
 supports
 filters and sentinels in make-process. Great; then I think the rewrite to
 use make-process should be pretty straightforward. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56865
Cc: Paul Pogonyshev <pogonyshev@HIDDEN>, 56865 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Albinus <michael.albinus@HIDDEN> writes:

> Tramp supports filters and sentinels in make-process.

Great; then I think the rewrite to use make-process should be pretty
straightforward.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56865; Package emacs. Full text available.

Message received at 56865 <at> debbugs.gnu.org:


Received: (at 56865) by debbugs.gnu.org; 12 Aug 2022 15:33:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 12 11:33:40 2022
Received: from localhost ([127.0.0.1]:58656 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oMWfM-0002IK-97
	for submit <at> debbugs.gnu.org; Fri, 12 Aug 2022 11:33:40 -0400
Received: from mout.gmx.net ([212.227.15.18]:34263)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1oMWfJ-0002I5-3K
 for 56865 <at> debbugs.gnu.org; Fri, 12 Aug 2022 11:33:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1660318410;
 bh=od8WlS2p+BXeLzrin/0ppy4HbkBwBBZAUF1JaUiKK/A=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=ZPljUA7yMI+ibHlKdL6eTegRpn8RHDnp74KUdktahYNYe/7A3Lz4OG4in5Zipdyh4
 cvAQAJkxLEsM6e3z2c9K4LYEE2r1uK2Gy+enHbis7emkxB67Nb79Dper8I2wa9ZUd7
 c4D47jUSeuxwEXJuv0c4RCU5GLDgiTM8kw/yVB/c=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([79.140.112.40]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1N7QxL-1nJw3z14jF-017oL8; Fri, 12
 Aug 2022 17:33:30 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#56865: M-x find-dired fails with "Wrong type: processp, nil"
In-Reply-To: <87edxlpkpq.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 12 Aug 2022 17:04:01 +0200")
References: <CAG7BpaozBWzjHsTzqVCRSFWjf2Hhq-kxZdh-8hVYFW1uxBBmoA@HIDDEN>
 <87pmhjylv1.fsf@HIDDEN>
 <CAG7BpaoSRMQQ3-ifyhLi0hq5PjE1qdyq7cqGY9Wt-_O-v+PTxQ@HIDDEN>
 <875yjax4te.fsf@HIDDEN>
 <CAG7Bpaq_DyjQioOzoGbm7vBvr2azCY05CjTkYiKMesAnSChuAQ@HIDDEN>
 <87edxlpkpq.fsf@HIDDEN>
Date: Fri, 12 Aug 2022 17:33:29 +0200
Message-ID: <87lertfpdi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:NnlaRG5zgkBu2leMQoi2DqeWSMH+HdlbPWzfaitYgcjWrIvYzBJ
 9rt5NjCyNkyQobuV6hYwzVdoazUgMS9Zrp3lYnGbUW42TLWXjRbsOKzK4SQekLemAu+JfPs
 zswLhwkDJ9WoSCSuMbsDOSW2JqT3H4GfWo97kpkhB4pgYOITKT59uw84CkU0H+8zRqT1pGK
 S/cgR0pPzy8stEXm1fmkw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:X0ZAWGnOK9g=:cStV/BoyxXx6YA2GKgvs/9
 g5ZmMAMsLOt6tx2KhKEHsA1WGL2hAzJ4jrUthhUy9USOXjU5Mfeo62h5JUrksLsXEyxM2qspQ
 6Z+CFXDGJEfFeYaqw0k8XJGl9F1oHD7rLv188NyXBzKeDGMYdEVQsix/Z8jd37BNXgcZzIU08
 sjCDqaHBOechmBPisaOCVAsmgAQOrrwZVoMnO6KVO3NEpl/0CKHLlfq8h1ibqkEi/W6WJSvTW
 fj0ZgJzm4feSq9VEKvNvfMvM+EDXUXcVY9w6i3ArXvHfF1h6azC+objf+iQUR8Q/FiwXuz3YS
 7D8wUA9cW6XpCnaHoylEqJr6dUVRZX1QAEd7BitCBmThU/djsC5UGNqokJ5sSXRQ+h29Aoe//
 2mfKlsLlM0aheVf0ZJ/8uwHGyhidSqjwilpzd8cFlqJGE6+FjWarh2zMJmUY1XjA7HfyEuRyl
 Ja0j4CKPSvz9IeDt6HmXDL0kli4g2jf4vmXk7OkjqTWWCqvWYUFsk+irtgQ0nOKf4Wf0rZ428
 v7tlhCQ2EyTezz9r37oCDst+yQuVMFu0An04PURtARBF4mKctalNfveFty8LrdG6bS36MdoeK
 KPkjF0yDlX8C5oGaXO/F3PimtK9gLcKXFH0mwIj1AmRe+OG+M/QR6mkwNFblaPQHQ+7CUsVka
 iQQK7QfDwkHRqbOtIUJR4gJVkzEnsntWss4i28YhjnkOFboIR29qPkOL0yBUfy3NZQAf0J++J
 /ZCpFOwmIbnh+aNG0rr36O6RgCT0T70uG73v34fUTWhthBlHAgEtgBUDjljflgoP22rMzbgSj
 gVnJ41sebs0xWWVpfWLGMU1X3/Q56Ul7QcG6BKFFV5BCQuTE3GB5lUeeFiuKLrEflO/StHQGh
 rvmNX2GG1H1TIAgmJ5AwvZgwKpZzRfsrt1/SEAbwEjZwEnChWiEQYmTdW5FQ4a1Q7dNISWDXL
 cRZzkG76KHIzEXvqK6eAOHDnpb7Wu5WORseh/70NxZrmDzTQon8hx3nNmCNVwC/42WsVTHpNa
 koyfEjIp+k158gD6C5tt5kRbFgH48zxwy2v1Q3OOfTT2YfWwVTVvLEGfKl2cX9UKJHwdP3z9J
 R4p67+XKCnHkRj4dbC90F4auiFpn08XE3Ghr1jqqm392WefUVVtVtWtXA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 56865
Cc: Paul Pogonyshev <pogonyshev@HIDDEN>, 56865 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

Hi Lars,

> The real solution would be to use `make-process' here so that we can
> specify the filter/sentinel immediately, but I'm not sure how that will
> interfere with Tramp?

Tramp supports filters and sentinels in make-process.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56865; Package emacs. Full text available.

Message received at 56865 <at> debbugs.gnu.org:


Received: (at 56865) by debbugs.gnu.org; 12 Aug 2022 15:12:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 12 11:12:29 2022
Received: from localhost ([127.0.0.1]:58595 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oMWKq-0005q5-MC
	for submit <at> debbugs.gnu.org; Fri, 12 Aug 2022 11:12:29 -0400
Received: from mail-ej1-f49.google.com ([209.85.218.49]:41934)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pogonyshev@HIDDEN>) id 1oMWKn-0005pr-BC
 for 56865 <at> debbugs.gnu.org; Fri, 12 Aug 2022 11:12:27 -0400
Received: by mail-ej1-f49.google.com with SMTP id gk3so2526736ejb.8
 for <56865 <at> debbugs.gnu.org>; Fri, 12 Aug 2022 08:12:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc;
 bh=IxEUmCQEgOQNG1Pl3pN7HBkKjQ9quXRcQIwJjTq774I=;
 b=kcFLQTrTzfk00XPactPTO7JVszH83d5o0Jl623gEUEqBzbjXVZdPnBEUPmvNPALlHg
 iwKcm/tKb/SfSCw32U7E7Rl3HCskPvbeY0DnoZa7YhtCFB4V0TTd9DMNlUHzAY3IKGqL
 U/nkkNVtoUuWFej7mQmU5vmRzsZVsDKSCahSSM1VLAaqJGn6tEXlRIOnD+kXmxCKg4je
 MPnOM/Zf+06Ob8pxspHzraPh9VJzXl1GdJ3HG/cP4ts++XRoUwNSRkIlIwMCQNaGvsiE
 WTxoYX6AwcAsrliQ204s9syHUi9YUflXFwhkaxfAzEdlYEhWDvYiVyG7UCb3Mmh17C1X
 vciQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc;
 bh=IxEUmCQEgOQNG1Pl3pN7HBkKjQ9quXRcQIwJjTq774I=;
 b=miJzM++mGUFW7PR4GKgNILGEwfBSebFXzKF4YRvlucrQnJ7alJQX32nTdlIjyUbb9V
 F0dd0Pfz96GypHZrEJVZw+Uvl0gasXJIc5Phe5XY2z453sfzJNGh20j7NaPsn1Mmnij9
 mNxZx/EFVso/eMDjhymOVK1AtFMGlzDT1khwUyxJnlU831IMsbuT21EIPg5L12gFTwiZ
 5EZG1Q5JrDkQj3kIVvdE0kmnXTgIcwLzGK2rorkJMiQ01mK3ThuBJbUl26eVUrFOwbFA
 S/FKDteQOD2W08VeYRu7aD8mAX3B8YHREtITiSMGkwKNYzC89WU8L44tzPUW8n9TL5sL
 +CHA==
X-Gm-Message-State: ACgBeo30+DgvfkRYLaUMVNTNruSVLS9ifAV+9PXLDuo8TEFDQDZX2aSB
 vtXx9fx03SZSJlygSu66rEYVA/whBbsCMDsuGQ==
X-Google-Smtp-Source: AA6agR6p0xHWnQLtCpkATuYuC+i3M7n6+l6T0aGJDw/IljGoMS91t01eGSnWmnAnkoo4LK/RWKIA/+NzfvG9piEa+rk=
X-Received: by 2002:a17:907:7b95:b0:731:113a:d7a2 with SMTP id
 ne21-20020a1709077b9500b00731113ad7a2mr2855963ejc.377.1660317139301; Fri, 12
 Aug 2022 08:12:19 -0700 (PDT)
MIME-Version: 1.0
References: <CAG7BpaozBWzjHsTzqVCRSFWjf2Hhq-kxZdh-8hVYFW1uxBBmoA@HIDDEN>
 <87pmhjylv1.fsf@HIDDEN>
 <CAG7BpaoSRMQQ3-ifyhLi0hq5PjE1qdyq7cqGY9Wt-_O-v+PTxQ@HIDDEN>
 <875yjax4te.fsf@HIDDEN>
 <CAG7Bpaq_DyjQioOzoGbm7vBvr2azCY05CjTkYiKMesAnSChuAQ@HIDDEN>
In-Reply-To: <CAG7Bpaq_DyjQioOzoGbm7vBvr2azCY05CjTkYiKMesAnSChuAQ@HIDDEN>
From: Paul Pogonyshev <pogonyshev@HIDDEN>
Date: Fri, 12 Aug 2022 17:12:07 +0200
Message-ID: <CAG7BpaoAq32Wt7UBjKzB+Ksrwtn7VaG5LE1-kvy+jtzE24oFSg@HIDDEN>
Subject: Re: bug#56865: M-x find-dired fails with "Wrong type: processp, nil"
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000004d796f05e60cb541"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56865
Cc: 56865 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000004d796f05e60cb541
Content-Type: text/plain; charset="UTF-8"

For what it's worth, I use `grep-find' a lot over Tramp and have never had
problems with it. (Other than when it finds a match in something like a 500
KB minified JS, but this is not Tramp-specific; Emacs in general sucks with
very long lines in text files.) It works over compilation infrastructure
apparently. Compilation itself also works fine for me.

Paul

On Wed, 10 Aug 2022 at 15:26, Paul Pogonyshev <pogonyshev@HIDDEN> wrote:

> Actually no, it doesn't help in all cases. It got better, but sometimes
> still dies with the same error:
>
> Debugger entered--Lisp error: (wrong-type-argument processp nil)
>   process-mark(nil)
>   (move-marker (process-mark proc) (point) (current-buffer))
>   (let ((proc (get-buffer-process (current-buffer)))) (message "@ %S %S"
> (current-buffer) proc) (move-marker (process-mark proc) (point)
> (current-buffer)) (set-process-filter proc #'find-dired-filter)
> (set-process-sentinel proc #'find-dired-sentinel))
>   ...
>
> For debugging I also added this line:
>
>      (shell-command (concat command "&") (current-buffer))
>      (let ((proc (get-buffer-process (current-buffer))))
>  +     (message "@ %S %S" (current-buffer) proc)
>        ;; Initialize the process marker; it is used by the filter.
>        (move-marker (process-mark proc) (point) (current-buffer))  ;; <--
> dies here
>
> Here is the resut in buffer *Messages*:
>
> @ #<buffer *Find*> nil
>
> So, the process can be nil immediately after `shell-command' returns too.
>
> Paul
>
>
> On Tue, 2 Aug 2022 at 13:28, Lars Ingebrigtsen <larsi@HIDDEN> wrote:
>
>> Paul Pogonyshev <pogonyshev@HIDDEN> writes:
>>
>> > Seems so. I guess with the way Elisp works it is even correct, because
>> > (as I understand) Elisp has no way to notice that process has died if
>> > there are no IO calls between `shell-process' and `set-process-*'.
>>
>> Yes, but I'm not quite sure that's actually the case in all
>> circumstances (especially when Tramp is involved)...
>>
>> > But it does feel dirty. (Also that `(sit-for 1)' a few lines above
>> > feels dirty.)
>>
>> Yeah, much of the code in find-dired.el looks pretty fragile.
>>
>> But I guess this works now, so I'm closing this bug report.
>>
>>

--0000000000004d796f05e60cb541
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">For what it&#39;s worth, I use `grep-find&#39; a lot over =
Tramp and have never had problems with it. (Other than when it finds a matc=
h in something like a 500 KB minified JS, but this is not Tramp-specific; E=
macs in general sucks with very long lines in text files.) It works over co=
mpilation infrastructure apparently. Compilation itself also works fine for=
 me.<div><br></div><div>Paul</div></div><br><div class=3D"gmail_quote"><div=
 dir=3D"ltr" class=3D"gmail_attr">On Wed, 10 Aug 2022 at 15:26, Paul Pogony=
shev &lt;<a href=3D"mailto:pogonyshev@HIDDEN">pogonyshev@HIDDEN</a>&g=
t; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0p=
x 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex"><div d=
ir=3D"ltr">Actually no, it doesn&#39;t help in all cases. It got better, bu=
t sometimes still dies with the same error:<div><br></div><div>Debugger ent=
ered--Lisp error: (wrong-type-argument processp nil)<br>=C2=A0 process-mark=
(nil)<br>=C2=A0 (move-marker (process-mark proc) (point) (current-buffer))<=
br>=C2=A0 (let ((proc (get-buffer-process (current-buffer)))) (message &quo=
t;@ %S %S&quot; (current-buffer) proc) (move-marker (process-mark proc) (po=
int) (current-buffer)) (set-process-filter proc #&#39;find-dired-filter) (s=
et-process-sentinel proc #&#39;find-dired-sentinel))<br></div><div>=C2=A0 .=
..</div><div><br></div><div>For debugging I also added this line:</div><div=
><br></div><div>=C2=A0 =C2=A0 =C2=A0(shell-command (concat command &quot;&a=
mp;&quot;) (current-buffer))<br>=C2=A0 =C2=A0 =C2=A0(let ((proc (get-buffer=
-process (current-buffer))))<br>=C2=A0+=C2=A0 =C2=A0 =C2=A0(message &quot;@=
 %S %S&quot; (current-buffer) proc)<br></div><div>=C2=A0 =C2=A0 =C2=A0 =C2=
=A0;; Initialize the process marker; it is used by the filter.<br></div><di=
v>=C2=A0 =C2=A0 =C2=A0 =C2=A0(move-marker (process-mark proc) (point) (curr=
ent-buffer))=C2=A0 ;; &lt;-- dies here<br></div><div><br></div><div>Here is=
 the resut in buffer *Messages*:</div><div><br></div><div>@ #&lt;buffer *Fi=
nd*&gt; nil<br></div><div><br></div><div>So, the process can be nil immedia=
tely after `shell-command&#39; returns too.</div><div><br></div><div>Paul</=
div><div><br></div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" cl=
ass=3D"gmail_attr">On Tue, 2 Aug 2022 at 13:28, Lars Ingebrigtsen &lt;<a hr=
ef=3D"mailto:larsi@HIDDEN" target=3D"_blank">larsi@HIDDEN</a>&gt; wrote=
:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.=
8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">Paul Pogonyshe=
v &lt;<a href=3D"mailto:pogonyshev@HIDDEN" target=3D"_blank">pogonyshev@=
gmail.com</a>&gt; writes:<br>
<br>
&gt; Seems so. I guess with the way Elisp works it is even correct, because=
<br>
&gt; (as I understand) Elisp has no way to notice that process has died if<=
br>
&gt; there are no IO calls between `shell-process&#39; and `set-process-*&#=
39;.<br>
<br>
Yes, but I&#39;m not quite sure that&#39;s actually the case in all<br>
circumstances (especially when Tramp is involved)...<br>
<br>
&gt; But it does feel dirty. (Also that `(sit-for 1)&#39; a few lines above=
<br>
&gt; feels dirty.)<br>
<br>
Yeah, much of the code in find-dired.el looks pretty fragile.<br>
<br>
But I guess this works now, so I&#39;m closing this bug report.<br>
<br>
</blockquote></div>
</blockquote></div>

--0000000000004d796f05e60cb541--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56865; Package emacs. Full text available.

Message received at 56865 <at> debbugs.gnu.org:


Received: (at 56865) by debbugs.gnu.org; 12 Aug 2022 15:04:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 12 11:04:15 2022
Received: from localhost ([127.0.0.1]:58577 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oMWCt-0005cz-1p
	for submit <at> debbugs.gnu.org; Fri, 12 Aug 2022 11:04:15 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55484)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oMWCr-0005cm-1e
 for 56865 <at> debbugs.gnu.org; Fri, 12 Aug 2022 11:04:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=TDkpCE6vf0QI9nCzDflPEvVdbA8c2EJ8BqWwz5Wd/Hg=; b=dYEFUgUEQ8OV3gBtkOA6hHpVFg
 XxGd1E1Kj2Kt6Z0Pc4Bh1PrgmtRGUSCloYYnx7kg7g4YekpRosKrevgopvhE+OUBzNmukPgTEzGwT
 fmL1UxPRCBOTl/50MaUlvuZk4elsdwPcbGqiXDB6/c+TdiQjraDnLGoXbx+s3uH5ltRQ=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oMWCi-0006E7-Dg; Fri, 12 Aug 2022 17:04:06 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Paul Pogonyshev <pogonyshev@HIDDEN>
Subject: Re: bug#56865: M-x find-dired fails with "Wrong type: processp, nil"
In-Reply-To: <CAG7Bpaq_DyjQioOzoGbm7vBvr2azCY05CjTkYiKMesAnSChuAQ@HIDDEN>
 (Paul Pogonyshev's message of "Wed, 10 Aug 2022 15:26:03 +0200")
References: <CAG7BpaozBWzjHsTzqVCRSFWjf2Hhq-kxZdh-8hVYFW1uxBBmoA@HIDDEN>
 <87pmhjylv1.fsf@HIDDEN>
 <CAG7BpaoSRMQQ3-ifyhLi0hq5PjE1qdyq7cqGY9Wt-_O-v+PTxQ@HIDDEN>
 <875yjax4te.fsf@HIDDEN>
 <CAG7Bpaq_DyjQioOzoGbm7vBvr2azCY05CjTkYiKMesAnSChuAQ@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEXLtaDx6+OIXEnM
 qU7////Dgg/GAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+YIDA04O9gjYMoAAAHCSURBVDjLZZQN0q4g
 CIVRN4C1AS9ugGT/e/sOouU712aq8Qnk5xARU00ifTz1ZxFx4yxYjYnSAZhankBuo9NCqY25b1jP
 6UrJt3M3G13rJW3aJyowGCoDFjKBTPCP/DHScmWHK+u5w0KG/R6CELlImwbyc3hJbBHUkN4OIO0W
 gSubQZ/A1xAk6s8DRHYe+Lx/AOHazInsQcE+0N2Rr24PPP4PSEyzpNcXIZp1TB9ZHgBnzAC2jvcy
 hkEKiwOcJTHrq6ASILHbwBWqbWVbmBEntNUBOqG3vcAUZSVeoJYD8JsHPN8OFqFVK7ymeiMX/6S/
 hGqxB28WxwOof+hgplNH9/wHAsT1BPB1ywQdgoHJAS4L0KdYNATnt2yrjtguAZBoZbQLH8e+A16H
 F7p8MzSnrjuegLvefSluJU8+BsSqvLfI78kLSTiKNG1QzDitfmiqmsoGRd9GoQKGsFy7RlZWq2im
 M2i1qmh5legFkLx7mPaIQE44K7cSmRMdYvBS9VWSYh/wKK5t8QmIZleuFsMgIaCYcxdkbk2WtFL1
 PwQuqAVVX5KT2CdHmJes3qQ5JPapPfojlJu/7oLsGcR4YIF9qv4DhcN+HZa5VD0AAAAldEVYdGRh
 dGU6Y3JlYXRlADIwMjItMDgtMTJUMTM6NTY6NTkrMDA6MDCqn0bdAAAAJXRFWHRkYXRlOm1vZGlm
 eQAyMDIyLTA4LTEyVDEzOjU2OjU5KzAwOjAw28L+YQAAAABJRU5ErkJggg==
X-Now-Playing: Joni Mitchell's _Joni Mitchell_: "Sisotowbell Lane"
Date: Fri, 12 Aug 2022 17:04:01 +0200
Message-ID: <87edxlpkpq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Paul Pogonyshev <pogonyshev@HIDDEN> writes: > Actually
 no, it doesn't help in all cases. It got better, but sometimes still dies
 with the > same error: > > Debugger entered--Lisp error: (wrong-type-argument
 processp nil) > process-mark(nil) > ( [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56865
Cc: 56865 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Paul Pogonyshev <pogonyshev@HIDDEN> writes:

> Actually no, it doesn't help in all cases. It got better, but sometimes still dies with the
> same error:
>
> Debugger entered--Lisp error: (wrong-type-argument processp nil)
>   process-mark(nil)
>   (move-marker (process-mark proc) (point) (current-buffer))

Yeah, I suspected that this was a too brittle solution.

The real solution would be to use `make-process' here so that we can
specify the filter/sentinel immediately, but I'm not sure how that will
interfere with Tramp?

Anyway, I'm reopening this bug report.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56865; Package emacs. Full text available.
bug No longer marked as fixed in versions 29.1 and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 56865 <at> debbugs.gnu.org:


Received: (at 56865) by debbugs.gnu.org; 10 Aug 2022 13:26:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 10 09:26:25 2022
Received: from localhost ([127.0.0.1]:46907 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oLlj7-0003GO-13
	for submit <at> debbugs.gnu.org; Wed, 10 Aug 2022 09:26:25 -0400
Received: from mail-ej1-f47.google.com ([209.85.218.47]:36666)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pogonyshev@HIDDEN>) id 1oLlj5-0003G7-HJ
 for 56865 <at> debbugs.gnu.org; Wed, 10 Aug 2022 09:26:23 -0400
Received: by mail-ej1-f47.google.com with SMTP id m4so27722588ejr.3
 for <56865 <at> debbugs.gnu.org>; Wed, 10 Aug 2022 06:26:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc;
 bh=I7sxRvzTzRCAHgpXne6GWwAdUJl3bO4o/gCElLJphzE=;
 b=CsQd3/meJZcP7CEWIi7nwCSA4NuWhDJNqviyFeEu63ZNOQ/xyWQoCVz8NxwnN6a405
 2VBxHZ6AZ92DP3RBolRdNh8wqRpcd4ZKkY1mKPDbTlBEmv32TAo+eh4unvPR2Wt/3UvD
 XnsSwktpXh9Uu7625D5sVZy5WBBy764Wlkd7xFmWkjPrncDk9YIftFcDx7+HadKnxcy5
 3CKWK6gukoQ6G/h6o+zeuznp4wWAhxLuqzZ64LixBG7kq6wCTFXmALGq4L570bXDC3mB
 SaT9gDYlqjmd3jgxxoEy8FNg4GQKJ7PtupLanSzEMhYBxOemiVwdlErqNoBAnMPJ4e4U
 e6OQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc;
 bh=I7sxRvzTzRCAHgpXne6GWwAdUJl3bO4o/gCElLJphzE=;
 b=411aBQ+4fctt+DamnXETJPhlVPgS+isiecmf1YVIZE6GB3Mpr48Y6n/T8B3Ll1bV3u
 RsF4xAFxjSVJlB7y0ZeUea5PFeJOIWSuBwtS3SPbKCJmuTkyPO2+4eA+BI6O7fcG2+G0
 S3pahihKqjk3ik5db76w37LLh0AoesEZi9k5OLYOg7rQIVy6FVJzay1m2nvc9fgBoTK4
 paJzHf2jTLtbvJVT7Jw/VrCdI65zYsyY2JBYSbzUf2djnHiONZo7a5pYUq3ew14PxNIl
 7hi14jfCN1yPSW0leq8V3J+V9MCFPA0AGcbcLBBBTMdZZhZlqpbLwRR3IB9EH5fehGA8
 19mg==
X-Gm-Message-State: ACgBeo2ozYgQ3WdK4gXRs3Gyb5ipFenBVEevGcO69R6nB8uPwI5xsHu9
 M7fQTA8rb3Ui+t8azp8We56VZxFjTYaE1WTTlA==
X-Google-Smtp-Source: AA6agR4XDFA5Gz3a+6OBOSaZB6bIlmxFY0QdnjGhPnNXeXFxmSAbVog5dgyLFE9N2UCnreclSgrjZTXdSRCnhbYw6B4=
X-Received: by 2002:a17:906:93e8:b0:730:9e5c:b45a with SMTP id
 yl8-20020a17090693e800b007309e5cb45amr19433581ejb.530.1660137975679; Wed, 10
 Aug 2022 06:26:15 -0700 (PDT)
MIME-Version: 1.0
References: <CAG7BpaozBWzjHsTzqVCRSFWjf2Hhq-kxZdh-8hVYFW1uxBBmoA@HIDDEN>
 <87pmhjylv1.fsf@HIDDEN>
 <CAG7BpaoSRMQQ3-ifyhLi0hq5PjE1qdyq7cqGY9Wt-_O-v+PTxQ@HIDDEN>
 <875yjax4te.fsf@HIDDEN>
In-Reply-To: <875yjax4te.fsf@HIDDEN>
From: Paul Pogonyshev <pogonyshev@HIDDEN>
Date: Wed, 10 Aug 2022 15:26:03 +0200
Message-ID: <CAG7Bpaq_DyjQioOzoGbm7vBvr2azCY05CjTkYiKMesAnSChuAQ@HIDDEN>
Subject: Re: bug#56865: M-x find-dired fails with "Wrong type: processp, nil"
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000518e1905e5e2fe3f"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56865
Cc: 56865 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000518e1905e5e2fe3f
Content-Type: text/plain; charset="UTF-8"

Actually no, it doesn't help in all cases. It got better, but sometimes
still dies with the same error:

Debugger entered--Lisp error: (wrong-type-argument processp nil)
  process-mark(nil)
  (move-marker (process-mark proc) (point) (current-buffer))
  (let ((proc (get-buffer-process (current-buffer)))) (message "@ %S %S"
(current-buffer) proc) (move-marker (process-mark proc) (point)
(current-buffer)) (set-process-filter proc #'find-dired-filter)
(set-process-sentinel proc #'find-dired-sentinel))
  ...

For debugging I also added this line:

     (shell-command (concat command "&") (current-buffer))
     (let ((proc (get-buffer-process (current-buffer))))
 +     (message "@ %S %S" (current-buffer) proc)
       ;; Initialize the process marker; it is used by the filter.
       (move-marker (process-mark proc) (point) (current-buffer))  ;; <--
dies here

Here is the resut in buffer *Messages*:

@ #<buffer *Find*> nil

So, the process can be nil immediately after `shell-command' returns too.

Paul


On Tue, 2 Aug 2022 at 13:28, Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> Paul Pogonyshev <pogonyshev@HIDDEN> writes:
>
> > Seems so. I guess with the way Elisp works it is even correct, because
> > (as I understand) Elisp has no way to notice that process has died if
> > there are no IO calls between `shell-process' and `set-process-*'.
>
> Yes, but I'm not quite sure that's actually the case in all
> circumstances (especially when Tramp is involved)...
>
> > But it does feel dirty. (Also that `(sit-for 1)' a few lines above
> > feels dirty.)
>
> Yeah, much of the code in find-dired.el looks pretty fragile.
>
> But I guess this works now, so I'm closing this bug report.
>
>

--000000000000518e1905e5e2fe3f
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Actually no, it doesn&#39;t help in all cases. It got bett=
er, but sometimes still dies with the same error:<div><br></div><div>Debugg=
er entered--Lisp error: (wrong-type-argument processp nil)<br>=C2=A0 proces=
s-mark(nil)<br>=C2=A0 (move-marker (process-mark proc) (point) (current-buf=
fer))<br>=C2=A0 (let ((proc (get-buffer-process (current-buffer)))) (messag=
e &quot;@ %S %S&quot; (current-buffer) proc) (move-marker (process-mark pro=
c) (point) (current-buffer)) (set-process-filter proc #&#39;find-dired-filt=
er) (set-process-sentinel proc #&#39;find-dired-sentinel))<br></div><div>=
=C2=A0 ...</div><div><br></div><div>For debugging I also added this line:</=
div><div><br></div><div>=C2=A0 =C2=A0 =C2=A0(shell-command (concat command =
&quot;&amp;&quot;) (current-buffer))<br>=C2=A0 =C2=A0 =C2=A0(let ((proc (ge=
t-buffer-process (current-buffer))))<br>=C2=A0+=C2=A0 =C2=A0 =C2=A0(message=
 &quot;@ %S %S&quot; (current-buffer) proc)<br></div><div>=C2=A0 =C2=A0 =C2=
=A0 =C2=A0;; Initialize the process marker; it is used by the filter.<br></=
div><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0(move-marker (process-mark proc) (point=
) (current-buffer))=C2=A0 ;; &lt;-- dies here<br></div><div><br></div><div>=
Here is the resut in buffer *Messages*:</div><div><br></div><div>@ #&lt;buf=
fer *Find*&gt; nil<br></div><div><br></div><div>So, the process can be nil =
immediately after `shell-command&#39; returns too.</div><div><br></div><div=
>Paul</div><div><br></div></div><br><div class=3D"gmail_quote"><div dir=3D"=
ltr" class=3D"gmail_attr">On Tue, 2 Aug 2022 at 13:28, Lars Ingebrigtsen &l=
t;<a href=3D"mailto:larsi@HIDDEN">larsi@HIDDEN</a>&gt; wrote:<br></div>=
<blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-=
left:1px solid rgb(204,204,204);padding-left:1ex">Paul Pogonyshev &lt;<a hr=
ef=3D"mailto:pogonyshev@HIDDEN" target=3D"_blank">pogonyshev@HIDDEN</=
a>&gt; writes:<br>
<br>
&gt; Seems so. I guess with the way Elisp works it is even correct, because=
<br>
&gt; (as I understand) Elisp has no way to notice that process has died if<=
br>
&gt; there are no IO calls between `shell-process&#39; and `set-process-*&#=
39;.<br>
<br>
Yes, but I&#39;m not quite sure that&#39;s actually the case in all<br>
circumstances (especially when Tramp is involved)...<br>
<br>
&gt; But it does feel dirty. (Also that `(sit-for 1)&#39; a few lines above=
<br>
&gt; feels dirty.)<br>
<br>
Yeah, much of the code in find-dired.el looks pretty fragile.<br>
<br>
But I guess this works now, so I&#39;m closing this bug report.<br>
<br>
</blockquote></div>

--000000000000518e1905e5e2fe3f--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56865; Package emacs. Full text available.
bug marked as fixed in version 29.1, send any further explanations to 56865 <at> debbugs.gnu.org and Paul Pogonyshev <pogonyshev@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 56865 <at> debbugs.gnu.org:


Received: (at 56865) by debbugs.gnu.org; 2 Aug 2022 11:28:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 02 07:28:44 2022
Received: from localhost ([127.0.0.1]:42636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oIq4q-0004qk-IZ
	for submit <at> debbugs.gnu.org; Tue, 02 Aug 2022 07:28:44 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56652)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oIq4k-0004qN-0f
 for 56865 <at> debbugs.gnu.org; Tue, 02 Aug 2022 07:28:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=p56P/uIvBz+v81DQGDM1lyORungGOl2hOh1izk4OkAU=; b=jPNXQtVEsBjaR38gyBKF8pyugU
 +m5Dr5gOPjJEotDU2jsRyjaFTS5/sfNq/xuMwJzXEUfom2NFRpRY2Pq9rOptov7fU2JeJWKGwvIOC
 874LrgIFcgH371oeJDlH/AJu7fqRwwFEwdQhohqPhwg3oLAYxyXAx4m0BnNQUI8YIYIM=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oIq4b-00082Y-G8; Tue, 02 Aug 2022 13:28:31 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Paul Pogonyshev <pogonyshev@HIDDEN>
Subject: Re: bug#56865: M-x find-dired fails with "Wrong type: processp, nil"
In-Reply-To: <CAG7BpaoSRMQQ3-ifyhLi0hq5PjE1qdyq7cqGY9Wt-_O-v+PTxQ@HIDDEN>
 (Paul Pogonyshev's message of "Tue, 2 Aug 2022 13:24:25 +0200")
References: <CAG7BpaozBWzjHsTzqVCRSFWjf2Hhq-kxZdh-8hVYFW1uxBBmoA@HIDDEN>
 <87pmhjylv1.fsf@HIDDEN>
 <CAG7BpaoSRMQQ3-ifyhLi0hq5PjE1qdyq7cqGY9Wt-_O-v+PTxQ@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEUlIykdHCFWUVsg
 HiOooKT///8N4aiDAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+YIAgsOD5TZDosAAAGoSURBVDjLbZOL
 kcMgDETXqAETN4A5ChChA0/6r+lW4mNn7kicGB67CCGA1V45JChfFKrAE5TrEmnenuSVSr4wQHuC
 s5zAf4qtnNK0yQCL6VYEbbZ7HLsrFrjt9lTkAWQQBp/KpnJbLYXmkL+s+HA+n/wplzzXYEdUVM8P
 clob5BjH7UfPckRgbtC+JKZMnx1tbH1NMEnK9eir3sD+tpxzsjnUIGAIDKSPx+t7HqAbI8edbzZL
 J7DeFuikWEDcCQ6yD2Mpeqcim5NHLB10eTMr9I5O4I4hM5OilmJk9O0PwJRh94x24CkUUwglBsIC
 NGlvC0o3008FnRjKO1lEsC8VvgcrCQOifN8Z67Tiinx52SmxvjBBVziw49nTF+Dk148nQxdQLwaC
 03ILXgZgAjwAeEtkLo6ZTD8jdsLTqjYXBEq6VRtA+30J4OEPoL2GvYzTXzAuEkt4gdUc5AWOL5Bu
 xVHv6mccNn45iKaJxygxvRev9jnIvYmGDmqNkSU4bpkdj3ZwEFSeqSfZd9k8u9FdIpeQOuvbztx8
 ejNlrK5olUmMj2Zx9BZ+AaHMiNUj8kNtAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIyLTA4LTAyVDEx
 OjE0OjE1KzAwOjAwuqP/5AAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wOC0wMlQxMToxNDoxNSsw
 MDowMMv+R1gAAAAASUVORK5CYII=
X-Now-Playing: The Bug's _In Blue_: "Forever"
Date: Tue, 02 Aug 2022 13:28:29 +0200
Message-ID: <875yjax4te.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Paul Pogonyshev <pogonyshev@HIDDEN> writes: > Seems so.
 I guess with the way Elisp works it is even correct,
 because > (as I understand)
 Elisp has no way to notice that process has died if > there are no IO calls
 between `shell-process' and `se [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56865
Cc: 56865 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Paul Pogonyshev <pogonyshev@HIDDEN> writes:

> Seems so. I guess with the way Elisp works it is even correct, because
> (as I understand) Elisp has no way to notice that process has died if
> there are no IO calls between `shell-process' and `set-process-*'.

Yes, but I'm not quite sure that's actually the case in all
circumstances (especially when Tramp is involved)...

> But it does feel dirty. (Also that `(sit-for 1)' a few lines above
> feels dirty.)

Yeah, much of the code in find-dired.el looks pretty fragile.

But I guess this works now, so I'm closing this bug report.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56865; Package emacs. Full text available.

Message received at 56865 <at> debbugs.gnu.org:


Received: (at 56865) by debbugs.gnu.org; 2 Aug 2022 11:24:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 02 07:24:43 2022
Received: from localhost ([127.0.0.1]:42626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oIq0x-0004kM-G8
	for submit <at> debbugs.gnu.org; Tue, 02 Aug 2022 07:24:43 -0400
Received: from mail-oi1-f172.google.com ([209.85.167.172]:38729)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pogonyshev@HIDDEN>) id 1oIq0w-0004k9-Bm
 for 56865 <at> debbugs.gnu.org; Tue, 02 Aug 2022 07:24:42 -0400
Received: by mail-oi1-f172.google.com with SMTP id s204so16176838oif.5
 for <56865 <at> debbugs.gnu.org>; Tue, 02 Aug 2022 04:24:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=oQ7RdH3mGTHITGD6kuRDgIXfzIxQAWV5Rqoruuno1TU=;
 b=VorjDTrAGyaBGLCYrZhlioVM0nSOG7xa9D67r3MdF85h1K3kq/2TxFqNSU7sx44EzG
 sG8CvD5ibs2TBeASXJmylP3tw9M2JZhNqQcsjLqWPaer56CgJIPasWnJrP3lmVlGmJLO
 Wmu7sI5+xerWG1Q/FBbJtMSwCsl0sD05wH4rju/6G8MdEIHCgatWBcgYQR6kUYRY3ZYk
 8YXiCgkBv5UCigAqayVE8blQiT78Unm2C+LhAwWUmvS4h8xlJh8JASATqG1VT4WVvATd
 rr8iWjAIFVOG2MoaMsUx3lpuxJ1IW5EZ8k+tAdq0+lLykcqGjfRVZGozGg2CacZp+Mge
 HtHA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=oQ7RdH3mGTHITGD6kuRDgIXfzIxQAWV5Rqoruuno1TU=;
 b=tCNdasYMA/Vah/8NJa5VnzIO4WwpbN4AKvoxzwRKq22Tbo7AVtGuem6ZKFlrWs8J4h
 Pn9wKE4im4hA89CUSqz7WkxoVetnZdryWugBFeNI+GtoxGwBlPqqh2uu6lIXYmN4qAU2
 l4FCXujV6HEN9jaw4LCOSc59UM/IfEP+txijqWAwYccLgZcBW4Bvib5SAjf6ZfSiLgex
 HDs82nr7oxNFcSMPq4Juso+fM4q528fDceSsyje53WuhK1Trg1nrWCHYhEcsd21fULCI
 F3gYKYMsYjKGscUMWGq8SsG54OtUckpkdh+laD3bxPqR1ykJtvezxtApks6oRBABMlHy
 A0uA==
X-Gm-Message-State: AJIora+3Fc9DI3mx/N/pmyIQy+jnmlG+2WpI8nAOqsgeGMNsHJ6EFq58
 /PqglxYHqVP37tcvMakFGigUXNgKdATDLc4wzWhTEoIj8A==
X-Google-Smtp-Source: AGRyM1syDBQb/ZsjtTYHAcuFhP1r66t6c20MrJfSuTLhtS9YwruftVPH7wOUNcyqB4h2qfEBQXqu6/F+SR18UgyR9ik=
X-Received: by 2002:a05:6808:1285:b0:33a:c5c8:45bd with SMTP id
 a5-20020a056808128500b0033ac5c845bdmr8076464oiw.27.1659439476661; Tue, 02 Aug
 2022 04:24:36 -0700 (PDT)
MIME-Version: 1.0
References: <CAG7BpaozBWzjHsTzqVCRSFWjf2Hhq-kxZdh-8hVYFW1uxBBmoA@HIDDEN>
 <87pmhjylv1.fsf@HIDDEN>
In-Reply-To: <87pmhjylv1.fsf@HIDDEN>
From: Paul Pogonyshev <pogonyshev@HIDDEN>
Date: Tue, 2 Aug 2022 13:24:25 +0200
Message-ID: <CAG7BpaoSRMQQ3-ifyhLi0hq5PjE1qdyq7cqGY9Wt-_O-v+PTxQ@HIDDEN>
Subject: Re: bug#56865: M-x find-dired fails with "Wrong type: processp, nil"
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000088615905e5405c77"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56865
Cc: 56865 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000088615905e5405c77
Content-Type: text/plain; charset="UTF-8"

Seems so. I guess with the way Elisp works it is even correct, because (as
I understand) Elisp has no way to notice that process has died if there are
no IO calls between `shell-process' and `set-process-*'. But it does feel
dirty. (Also that `(sit-for 1)'  a few lines above feels dirty.)

Paul

On Tue, 2 Aug 2022 at 12:35, Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> Paul Pogonyshev <pogonyshev@HIDDEN> writes:
>
> > Tested also with `emacs -Q', so this is not a problem of my
> configuration.
> >
> > 1. Open (a slow) remote connection, with TRAMP
> > 2. Run M-x find-dired RET, arguments not important
> > 3. Internal error "Wrong type: processp, nil" appears
> >
> > Debugging suggests that it happens in `find-dired-with-command' when
> calling
> > `set-process-filter'. Apparently the asynchronously started shell
> command started ~
> > 30 lines above counts as having finished (?) by then.
>
> The proper fix here would be to have a way to specify the
> filter/sentinel in `shell-command', since that's the only way to really
> guarantee that we'll be getting the output here.
>
> But some testing seems to indicate that just moving the settings up
> until right after the `shell-command' makes things work, so I've now
> made that trivial fix in Emacs 29.  Does this fix this issue for you,
> too?
>
>
>

--00000000000088615905e5405c77
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Seems so. I guess with the way Elisp works it is even corr=
ect, because (as I understand) Elisp has no way to notice that process has =
died if there are no IO calls between `shell-process&#39; and `set-process-=
*&#39;. But it does feel dirty. (Also that `(sit-for 1)&#39;=C2=A0 a few li=
nes above feels dirty.)<div><br></div><div>Paul</div></div><br><div class=
=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Tue, 2 Aug 2022 a=
t 12:35, Lars Ingebrigtsen &lt;<a href=3D"mailto:larsi@HIDDEN">larsi@gnus=
.org</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"mar=
gin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1=
ex">Paul Pogonyshev &lt;<a href=3D"mailto:pogonyshev@HIDDEN" target=3D"_=
blank">pogonyshev@HIDDEN</a>&gt; writes:<br>
<br>
&gt; Tested also with `emacs -Q&#39;, so this is not a problem of my config=
uration.<br>
&gt;<br>
&gt; 1. Open (a slow) remote connection, with TRAMP<br>
&gt; 2. Run M-x find-dired RET, arguments not important<br>
&gt; 3. Internal error &quot;Wrong type: processp, nil&quot; appears<br>
&gt;<br>
&gt; Debugging suggests that it happens in `find-dired-with-command&#39; wh=
en calling<br>
&gt; `set-process-filter&#39;. Apparently the asynchronously started shell =
command started ~<br>
&gt; 30 lines above counts as having finished (?) by then.<br>
<br>
The proper fix here would be to have a way to specify the<br>
filter/sentinel in `shell-command&#39;, since that&#39;s the only way to re=
ally<br>
guarantee that we&#39;ll be getting the output here.<br>
<br>
But some testing seems to indicate that just moving the settings up<br>
until right after the `shell-command&#39; makes things work, so I&#39;ve no=
w<br>
made that trivial fix in Emacs 29.=C2=A0 Does this fix this issue for you,<=
br>
too?<br>
<br>
<br>
</blockquote></div>

--00000000000088615905e5405c77--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56865; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 56865 <at> debbugs.gnu.org:


Received: (at 56865) by debbugs.gnu.org; 2 Aug 2022 10:35:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 02 06:35:13 2022
Received: from localhost ([127.0.0.1]:42446 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oIpF3-0005CT-9n
	for submit <at> debbugs.gnu.org; Tue, 02 Aug 2022 06:35:13 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55706)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oIpEy-0005Bk-52
 for 56865 <at> debbugs.gnu.org; Tue, 02 Aug 2022 06:35:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=iHEp+yHMs1kWhGYRS2B6Qt8KJsZql93VMle/AClpZwc=; b=RmbXBGrgeQWn5QgHrZwEgoHb8H
 zmox8a6EsTqfz7VyVVLptCE67yV0sXP3EHZNiETPpaYJu5gDq5Rpc/qgPa7TUqRSLGdUlloqy6IN5
 uzWJqkG7JqDrHEmjPqBXqQLCI2RKo+7b0RQcmgzwwp1AxcjuKxzj2nqoy1G0luPo5uRw=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oIpEo-0007Ib-TN; Tue, 02 Aug 2022 12:35:01 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Paul Pogonyshev <pogonyshev@HIDDEN>
Subject: Re: bug#56865: M-x find-dired fails with "Wrong type: processp, nil"
In-Reply-To: <CAG7BpaozBWzjHsTzqVCRSFWjf2Hhq-kxZdh-8hVYFW1uxBBmoA@HIDDEN>
 (Paul Pogonyshev's message of "Mon, 1 Aug 2022 10:06:50 +0200")
References: <CAG7BpaozBWzjHsTzqVCRSFWjf2Hhq-kxZdh-8hVYFW1uxBBmoA@HIDDEN>
X-Now-Playing: Thick Pigeon's _Too Crazy Cowboys_: "Misuse"
Date: Tue, 02 Aug 2022 12:34:58 +0200
Message-ID: <87pmhjylv1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Paul Pogonyshev <pogonyshev@HIDDEN> writes: > Tested also
 with `emacs -Q', so this is not a problem of my configuration. > > 1. Open
 (a slow) remote connection, with TRAMP > 2. Run M-x find-dired RET, arguments
 not important > 3. Internal error [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56865
Cc: 56865 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Paul Pogonyshev <pogonyshev@HIDDEN> writes:

> Tested also with `emacs -Q', so this is not a problem of my configuration.
>
> 1. Open (a slow) remote connection, with TRAMP
> 2. Run M-x find-dired RET, arguments not important
> 3. Internal error "Wrong type: processp, nil" appears
>
> Debugging suggests that it happens in `find-dired-with-command' when calling
> `set-process-filter'. Apparently the asynchronously started shell command started ~
> 30 lines above counts as having finished (?) by then.

The proper fix here would be to have a way to specify the
filter/sentinel in `shell-command', since that's the only way to really
guarantee that we'll be getting the output here.

But some testing seems to indicate that just moving the settings up
until right after the `shell-command' makes things work, so I've now
made that trivial fix in Emacs 29.  Does this fix this issue for you,
too?






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56865; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Aug 2022 08:07:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 01 04:07:14 2022
Received: from localhost ([127.0.0.1]:39166 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oIQSI-0007gH-My
	for submit <at> debbugs.gnu.org; Mon, 01 Aug 2022 04:07:14 -0400
Received: from lists.gnu.org ([209.51.188.17]:60538)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pogonyshev@HIDDEN>) id 1oIQSG-0007g9-9l
 for submit <at> debbugs.gnu.org; Mon, 01 Aug 2022 04:07:13 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53366)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pogonyshev@HIDDEN>)
 id 1oIQSC-0005Ve-Ea
 for bug-gnu-emacs@HIDDEN; Mon, 01 Aug 2022 04:07:11 -0400
Received: from mail-oa1-x34.google.com ([2001:4860:4864:20::34]:44774)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <pogonyshev@HIDDEN>)
 id 1oIQS8-0005vw-LR
 for bug-gnu-emacs@HIDDEN; Mon, 01 Aug 2022 04:07:08 -0400
Received: by mail-oa1-x34.google.com with SMTP id
 586e51a60fabf-10bd4812c29so12796537fac.11
 for <bug-gnu-emacs@HIDDEN>; Mon, 01 Aug 2022 01:07:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=BrqTIQ5S6b/xXieWL+jDPTfBIvR+WCe1pU/wgvIDh2I=;
 b=c7Q3ntGEZhxnBSEk1Lfb18z4qQNd4DexEf8hWuV/WxdRZRi2WK6azxpqtxyrB2htjn
 HC1w6F/QO4v93p9HHw8iweDQ9ivzvWWFtoAL1h1JDiGTEqXlseBkxKlYAnE0YpDhc1Qf
 Ld8u97dc4eH2QBL6fbm7B+Pxce0KefBgPbOYqAIP3ksOp4hFyzAZh71sp/pE5wd4XLl4
 FNwG6ONpX1GlNgnNj71S2cCcRzdAIXIQBes1pFB/7z1Txryf4eb7R3VzY2OZeYu6cAgE
 lCUAF2ogQAMTAGpPAE8xcrD/IrVslBmEga+gxqQYuQr90cueSf+N/a82f1hT1zH/dQcQ
 lb3Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=BrqTIQ5S6b/xXieWL+jDPTfBIvR+WCe1pU/wgvIDh2I=;
 b=bFx6Lbpc1iLaJpVkiXKJNOlbCqNbTtG74Z4skYWddQ5nizu0evqtiXL5QOkHstkp8e
 3/sVHmQ2Uhh+CJjpadkpbgCaCY3UxAUZ9zg3OGcOnoMOuVwDTMH8sZS0VHstHX9czBTo
 A5mq3AZZGY5uX2GvrZAxralm2B8abOvh9ZzIwFdaySE+z0nI/m74xksLBKtxDMsFP7KK
 2EMsw97s2AU5g1LZS3pFX+W0/MTJHhQPa9AKfl6Y3BCf0Wp9RKaVtdUHr7JCHcS8T8RA
 VkK7vyd6hHdpJGcHtYvwE0sw108+zY8xmluQg7ZrML6EXIi88TaOWGt3d1eW1SMU9ETG
 zaKA==
X-Gm-Message-State: AJIora/aGusG9maQhMUkEVpOoKQPXHW/0/IMJ0RVGq9XA4BYB0P1uKKV
 TPM9D+XT6CSbwlcyzPZZ4y92rqGVKKuNOfMyZi5G/Kf5NA==
X-Google-Smtp-Source: AGRyM1tKoUiT/bwoWGQR92eac9k6VsT2zUeSCg8ZNvu3+iflmqgRYUNIL72nitoXyAwthW+yC+E+TVb7jXkux0nrgag=
X-Received: by 2002:a05:6870:d78a:b0:10e:45a6:a400 with SMTP id
 bd10-20020a056870d78a00b0010e45a6a400mr6748885oab.27.1659341221841; Mon, 01
 Aug 2022 01:07:01 -0700 (PDT)
MIME-Version: 1.0
From: Paul Pogonyshev <pogonyshev@HIDDEN>
Date: Mon, 1 Aug 2022 10:06:50 +0200
Message-ID: <CAG7BpaozBWzjHsTzqVCRSFWjf2Hhq-kxZdh-8hVYFW1uxBBmoA@HIDDEN>
Subject: M-x find-dired fails with "Wrong type: processp, nil"
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="00000000000016d21005e5297ce4"
Received-SPF: pass client-ip=2001:4860:4864:20::34;
 envelope-from=pogonyshev@HIDDEN; helo=mail-oa1-x34.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--00000000000016d21005e5297ce4
Content-Type: text/plain; charset="UTF-8"

GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 2.24.33,
cairo version 1.16.0) of 2022-07-26

Tested also with `emacs -Q', so this is not a problem of my configuration.

1. Open (a slow) remote connection, with TRAMP
2. Run M-x find-dired RET, arguments not important
3. Internal error "Wrong type: processp, nil" appears

Debugging suggests that it happens in `find-dired-with-command' when
calling `set-process-filter'. Apparently the asynchronously started shell
command started ~30 lines above counts as having finished (?) by then.

Paul

--00000000000016d21005e5297ce4
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+=
 Version 2.24.33, cairo version 1.16.0) of 2022-07-26<br></div><div><br></d=
iv><div>Tested also with `emacs -Q&#39;, so this is not a problem of my con=
figuration.</div><div><br></div>1. Open (a slow) remote connection, with TR=
AMP<div>2. Run M-x find-dired RET, arguments not important</div><div>3. Int=
ernal error &quot;Wrong type: processp, nil&quot; appears</div><div><br></d=
iv><div>Debugging suggests that it happens in `find-dired-with-command&#39;=
 when calling `set-process-filter&#39;. Apparently the asynchronously start=
ed shell command started ~30 lines above counts as having finished (?) by t=
hen.</div><div><br></div><div>Paul</div></div>

--00000000000016d21005e5297ce4--




Acknowledgement sent to Paul Pogonyshev <pogonyshev@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#56865; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 11 Sep 2022 11:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.